Bug 603649 - "XML Parsing Error: undefined entity" at "&intro.label;"
"XML Parsing Error: undefined entity" at "&intro.label;"
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xulrunner (Show other bugs)
12
All Linux
low Severity high
: ---
: ---
Assigned To: Martin Stransky
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-14 05:07 EDT by Robert Scheck
Modified: 2018-04-11 03:10 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 08:52:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Scheck 2010-06-14 05:07:23 EDT
Description of problem:
Once my xulrunner application tries to open a file download dialog, I'm 
receiving a popup with the following content:

--- snipp ---
  XML Parsing Error: undefined entity
  Location: chrome://mozapps/content/downloads/unknownContentType.xul
  Line Number 30, Column 18:

      <description>&intro.label;</description>
  -----------------^
--- snapp ---

Version-Release number of selected component (if applicable):
xulrunner-1.9.1.9-1.fc12.x86_64

How reproducible:
Everytime.

Actual results:
"XML Parsing Error: undefined entity" at "&intro.label;"

Expected results:
No errors, but a working file download dialog
Comment 1 Matěj Cepl 2010-06-14 08:36:53 EDT
I am sorry, but we cannot do much here without access to at least a minimal reproducer of this behavior. Reference to "my xulrunner application" is unfortunately not sufficient for us to reproduce your issue here. If you are author of XULRunner application, than hopefully it shouldn't be difficult for you to create a minimal reproducer of this issue.

Thank you very much
Comment 2 Robert Scheck 2010-06-14 18:17:21 EDT
Well, I'm not the author of the xulrunner application and I'm right now not 
able to hand it out in public. From what I get, the web application inside
of this xulrunner application is just linking via JavaScript to a PDF file 
which is intended to be downloaded (when running in browser), but it fails
with above error message inside of xulrunner. Does this help somehow?
Comment 3 Matěj Cepl 2010-06-15 01:11:22 EDT
OK, passing this to the developers for further investigation, but I am not much hopeful. Unless it is something very obvious, I don't think we can do much.
Comment 4 Bug Zapper 2010-11-03 09:14:37 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2010-12-03 08:52:54 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.